%define name gnomesword
%define version 2.1.7
%define release %mkrel 3

Summary:	Bible Study Software for Linux and the Gnome Desktop
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
URL:		http://gnomesword.sourceforge.net
License:	GPL
Group:		Text tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libgtkhtml-3.8-devel libgal-devel
BuildRequires:	aspell-devel sword-devel ImageMagick
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper
Requires: 	sword aspell 

%description
GnomeSword is a GNOME interface to the Sword Project 
(http://www.croswire.org/sword)

The SWORD Bible Framework allows easy manipulation of Bible texts, 
commentaries, lexicons, dictionaries, etc.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
%make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/%{name}2" \
icon="%{name}.png" \
longtitle="Bible Study Software for Linux and the Gnome Desktop" \
title="Gnome Sword" \
needs="x11" \
section="More Applications/Education/Literature" \
xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name="Gnome Sword"
Comment="Bible Study Software for Linux and the Gnome Desktop"
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-MoreApplications-Education-Literature;
StartupNotify=true
Encoding=UTF-8
EOF

mkdir -p $RPM_BUILD_ROOT/{%{_liconsdir},%{_miconsdir}}
install pixmaps/gs2-48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -size 16x16 -resize 16x16 pixmaps/gs2-48x48.png %{buildroot}/%{_miconsdir}/%{name}.png
convert -size 32x32 -resize 32x32 pixmaps/gs2-48x48.png %{buildroot}/%{_iconsdir}/%{name}.png

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL  NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/omf/%{name}
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%exclude %{_defaultdocdir}/%{name}
%exclude /var/lib/scrollkeeper

%changelog
* Tue Sep 05 2006 Buchan Milne <bgmilne@mandriva.org>
+ 2006-09-05 18:32:01 (60148)
ship xdg menu file


* Tue Sep 05 2006 Buchan Milne <bgmilne@mandriva.org>
+ 2006-09-05 18:04:23 (60140)
xdg menu
try a better menu location


* Tue Sep 05 2006 Buchan Milne <bgmilne@mandriva.org>
+ 2006-09-05 17:32:37 (60131)
Import gnomesword

* Tue May 23 2006 Jerome Soyer <saispo@mandriva.org> 2.1.7-1mdk
- New release 2.1.7

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.5-3mdk
- Fix BuildRequires

* Wed Dec 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.5-2mdk
- Fix BuildRequires

* Wed Dec 21 2005 Buchan Milne <bgmilne@mandriva.org> 2.1.5-1mdk
- New release 2.1.5
- spec cleanup

* Tue Sep 13 2005 Buchan Milne <bgmilne@mandriva.org> 2.1.2-2mdk
- rebuild

* Wed Jun 22 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.2-1mdk
- New release 2.1.2

* Wed Aug 25 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.1-1mdk
- 2.1.1
- cleanups
- Menu in More applications/Editors for now

* Tue Jul 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.0-4mdk
- rebuild for new libstdc++
- patch 1: fix build with new gcc and current gtk+

* Tue Jul 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.0-3mdk
- rebuild due to symbol mangling changes

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Rebuild with latest gtkhtml/gal

* Mon Jan 19 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.0-1mdk
- 2.0.0
- rebuild for sword

* Sun Apr 27 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.9-1mdk
 - 0.7.9
 - Rebuild for gal

* Thu Mar 13 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.8-1mdk
- 0.7.8
- Cleanups
- ->contrib

* Wed Oct 09 2002 David Abilleira <david1@abilleira.com> 0.7.6-1mdk
- Updated to 0.7.6

* Wed Oct 09 2002 David Abilleira <david1@abilleira.com> 0.7.5-1mdk
- First package

